<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <LINK REL="stylesheet" HREF="css/styles.css" TYPE="text/css"/>
          <title>
            <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </title>
          <xsl:apply-templates select="META-TAGS"/>
        </head>
      <body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-color:#FFFFFF">
        <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td>
              <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="padding-left:20px;" height="97px" width="100%">
                    <!--LOGO-->
                    <table border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td>
                          <a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
                        </td>
                        <td class="company" style="padding-left:15px">
                          <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                        </td>
                      </tr>
                    </table>
                   <!--END LOGO-->
                  </td>
                  <td width="421px" style="background-image: url(images/VAP-30_02.jpg)">
                    <div style="width: 421px; height: 97px"></div>
                  </td>
                </tr>
                <tr >
                  <td colspan="2" height="34px" style="padding-top:1px; padding-bottom:2px;" width="100%" vertical="top">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="31px" vertical="top">
                      <tr>
                        <td width="27px" style="background-image: url(images/VAP-30_05.jpg);background-repeat:repeat-x" height="31px">
                          <div style="width: 27px">
                          </div>
                        </td>
                        <td style="background-image: url(images/VAP-30_05.jpg); background-repeat:repeat-x" align="left" vertical="top" height="31px">
                          <!--TOP MENU-->
                          <table border="0" cellpadding="0" cellspacing="0" vertical="top"  height="31px">
                            <tr>
                              <td style="background-image: url(images/buttonleft.gif); background-position:left top; background-repeat:no-repeat" width="9px" height="31px">
                                <div style="width:9px"></div>
                              </td>
                              <td vertical="top" height="31px" width="100%">
                                <table border="0" cellpadding="0" cellspacing="0" height="31px" vertical="top">
                                  <tr>
                                    <xsl:call-template name="TOP-MENU"/>
                                  	<td style="background-image: url(images/buttonright.gif); background-position:left top; background-repeat:no-repeat" width="9px" height="31px"> 
                                		<div style="width:9px"></div>
                              		</td>
                                  </tr>
                               </table>
                              </td>
                            </tr>
                          </table>
                          <!--END TOP MENU-->
                        </td>
                        </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%">
              <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="164px">
                    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="331px" style="background-image: url(images/header.jpg);">
                          <div style="width: 331px; height: 164px"></div>
                        </td>
                        <td width="200px" style="background-image: url(images/VAP-30_09.jpg);">
                          <div style="width: 200px; height: 164px"></div>
                        </td>
                        <td valign="center"  width="100%">
                          <table width="100%"  height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/VAP-30_10.jpg)">
                            <tr>
                              <td width="100%" colspan="2" style="background-image: url(images/solagnbg.jpg); padding-bottom:50px;vertical-align: middle; text-align: right" height="141px">
                                <div style="width: 194px; height: 30px"></div>
                                <!--SLOGAN-->
                                <table border="0" cellpadding="0" cellspacing="0" width="100%" align="right">
                                  <tr>
                                    <td class="slogan" style="vertical-align: middle; text-align: right;padding-right:20px;padding-top:16px">
                                      <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                </table>
                                <!--END SLOGAN-->
                              </td>
                            </tr>
                            <tr>
                              <td width="100%" style="background-image: url(images/VAP-30_50.jpg)" height="23px"></td>
                              <td width="210px" height="23px" style="background-image: url(images/VAP-30_13-21.jpg); background-position: right; background-repeat: no-repeat">
                                <div style="width:210px"></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="100%">
                    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td style="padding-top:1px;">
                          <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="26px">
                                <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td height="26px" style="background-image: url(images/VAP-30_16.jpg);">
                                    </td>
                                  </tr>
                                  <tr>
                                    <td style="background-image: url(images/VAP-30_16.jpg)">
                                      <div style="width: 26px; height: 26px"></div>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td style="background-image: url(images/VAP-30_16.jpg);" height="100px">
                                    </td>
                                  </tr>
                                </table>
                              </td>
                              <td width="2px" style="background-image: url(images/VAP-30_17.jpg);">
                                <div style="width: 2px; height:150px"></div>
                              </td>
                              <td valign="top" style="padding-left:20px;" align="left">
                                <div style="width: 350px; height: 15px"></div>
                                <!--CONTENT-->
                                <table border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td>
                                      <img src="images/content.gif" />
                                    </td>
                                    <td class="text-header">
                                      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                </table>
                                <!--TEXT HEADER-->
                                <div style="width: 100px; height: 23px"></div>
                                <!--CONTENT-->
                                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td valign="top" style="padding-top:10px;" class="pageContent">
                                      <xsl:apply-templates select="PAGE-CONTENT"/>
                                    </td>
                                  </tr>
                                </table>
                                <!--END CONTENT-->
                              </td>
                              <td style="background: url(images/VAP-30_19.jpg) white  no-repeat right top; " width="27px">
                                <div style="width: 21px; height: 150px"></div>
                              </td>
                            </tr>
                          </table>
                        </td>                        
                        <td style="background-position: right top; background-image: url(images/VAP-30_15.jpg); background-repeat: no-repeat; padding-left:15px; padding-top:20px; padding-right:10px" valign="top" align="left" class="submenu-bg" width="170px">
                          <!--SUBMENU-->
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                              <xsl:call-template name="SUB-MENU">
                                <xsl:with-param name="pageID" select="@ID"/>
                              </xsl:call-template>
                            </table>
                          <!--END SUBMENU-->
                          <div style="width:170px"></div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td style="padding-top:1px;height:57px">
              <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="background-image: url(images/VAP-30_23.jpg)">
                    <div style="width: 26px; height: 57px">
                      <span>
                        <br />
                      </span>
                    </div>
                  </td>
                  <td style="background-image: url(images/VAP-30_23.jpg)">
                    <div style="width: 1px; height: 7px">
                      <span>
                        <br />
                      </span>
                    </div>
                    <!--BOTTOM-->
                    <table cellpadding="0" cellspacing="0" align="center">
                      <tr>
                        <td width="30px">
                          <div style="width: 5px; height: 0px;">
                            <span>
                              <br />
                            </span>
                          </div>
                        </td>
                        <xsl:call-template name="BOTTOM-MENU"/>
                        <td width="30px">
                          <div style="width: 5px; height: 0px;">
                            <span>
                              <br />
                            </span>
                          </div>
                        </td>
                      </tr>
                    </table>
                    <!--END BOTTOM-->
                    <div style="width: 0px; height: 10px;">
                      <span>
                        <br />
                      </span>
                    </div>
                    <div align="center" class="footer" style="padding-bottom:10px">
                      <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                      <span>
                        <br />
                      </span>
                    </div>
                  </td>
                  <td style="background-image: url(images/VAP-30_23.jpg)">
                    <div style="width: 194px; height: 57px">
                      <span>
                        <br />
                      </span>
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr style="padding-top:2px" width="10px" height="34px">
          <td>
            <img src="images/sub_button.gif" />
          </td>
          <td width="113px" style="padding-top:2px; text-align: left;" class="submenu" >
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr style="padding-top:2px;">
            <td height="34px" width="10px" class="submenu-bg">
              <a href="{@HREF}">
                <img src="images/sub_button.gif" border="0"/>
              </a>
            </td>
            <td width="113px" style="padding-top:2px;text-align: left;">
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr height="1px">
        <td colspan="2" style="background-color: #ababab;"  width="172px"></td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td style="text-align:center">
          <a href="{@HREF}" class="bmenu" style="text-align:center">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu" style="text-align:center">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td style="text-align:center">
          <a href="{@HREF}" class="abmenu" style="text-align:center">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td width="5"></td>
      <td>
        <img src="images/buttom.gif" style="margin: 0px 5px 0px 5px;" />
      </td>
      <td width="5"></td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
