<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table  width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top" height="100%"><table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="200" valign="top"><table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="190"><!-- LOGO --><table width="180" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
              </tr>
            </table><!-- END LOGO --></td>
          </tr>
          <tr>
            <td valign="top" style="padding-top:20px;padding-bottom:20px;">
			<!-- MENU -->
			<table width="200"  border="0" cellspacing="0" cellpadding="0">
			
			<xsl:call-template name="TOP-MENU"/>
			<tr bgcolor="#E9E9E9">
<td height="1" colspan="3"></td>
</tr>
            </table><!-- END MENU --></td>
          </tr>
        </table></td>
        <td width="191" valign="top" background="images/bg.jpg"><table width="191" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="659" background="images/header.jpg" style="background-position:top;background-repeat:no-repeat;padding-bottom:100px;padding-top:370px;padding-left:25px;padding-right:25px;">
			<!-- SUBMENU -->
			<table  border="0" align="center" cellpadding="0" cellspacing="0">
             <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table><!-- END SUBMENU --></td>
          </tr>
        </table></td>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="190"><table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/001.gif" width="32" height="23"/></td>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td valign="top" style="padding:15px;"><!-- CONTENT --><table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
              <tr>
                <td><table  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      <td><img src="images/002.gif" width="35" height="19"/></td>
                    </tr>
                  </table>
                    <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
              </tr>
            </table><!-- END CONTENT --></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" style="padding:1px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="45" style="border: 1px solid #D3D3D3;">
		<!-- BOTTOM MENU -->
		<table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
		  <td width="10"></td>
            <xsl:call-template name="BOTTOM-MENU"/>
			<td width="10"></td>
          </tr>
        </table><!-- END BOTTOM MENU --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td style="padding:10px;"><!-- FOOTER --><table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table><!-- END FOOTER --></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >




 <tr>
<td width="11"><img src="images/003.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td width="11"><img src="images/003.gif"/></td>
<td ><a  href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>



		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="15" colspan="2"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>

           </xsl:when>
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="10"></td>
<td width="1" background="images/004.gif"></td>
<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
