<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" background="images/001_1.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/001.gif" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="40"><div style="width:40px;"></div></td>
            <td height="185" background="images/header1.gif" style="background-position:top left;background-repeat:no-repeat;">
			<!-- LOGO -->
			<table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="134" valign="bottom" class="company"><div align="right"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                <td rowspan="2" ><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="slogan" valign="top" style="padding-bottom:5px"><div align="right"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                </tr>
            </table><!-- END LOGO --></td>
            <td width="40"><div style="width:40px;"></div></td>
          </tr>
          <tr>
            <td></td>
            <td valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="40" valign="top"><img src="images/002.gif" width="40" height="42"/></td>
                <td background="images/002_2.gif"><table width="100%" height="42" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td background="images/002_3.gif" style="background-position:top left;background-repeat:no-repeat;">
					<!-- MENU -->
					<table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="10"></td>
                       <xsl:call-template name="TOP-MENU"/>
                        <td width="10"></td>
                      </tr>
                    </table><!-- END MENU --></td>
                  </tr>
                </table></td>
                <td width="40" valign="top"><img src="images/002_1.gif" width="40" height="42"/></td>
              </tr>
              <tr>
                <td valign="top"><img src="images/003.gif" width="40" height="40"/></td>
                <td background="images/003_1.gif">
				 <!-- SUBMENU -->
				<table border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="10"></td>
                   <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>

                    <td width="10"></td>
                  </tr>
                </table> <!-- END SUBMENU --></td>
                <td valign="top"><img src="images/003_2.gif" width="40" height="40"/></td>
              </tr>
              <tr>
                <td background="images/003_3.gif"></td>
                <td height="100%" valign="top" background="images/004.gif">
				<!-- CONTENT -->
				<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                  <tr>
                    <td style="padding:10px;"><table  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                          <td><img src="images/006.gif" width="29" height="17"/></td>
                        </tr>
                      </table>
                        <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                  </tr>
                </table><!-- END CONTENT --></td>
                <td background="images/004.gif"></td>
              </tr>
              <tr>
                <td valign="top"><img src="images/005.gif" width="40" height="22"/></td>
                <td valign="top" background="images/005_2.gif"></td>
                <td valign="top"><img src="images/005_1.gif" width="40" height="22"/></td>
              </tr>
              <tr>
                <td></td>
                <td style="padding:20px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td>
					<!-- BOTTOM MENU -->
					<table  border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                       <xsl:call-template name="BOTTOM-MENU"/>
                      </tr>
                    </table><!-- END BOTTOM MENU --></td>
                  </tr>
                  <tr>
                    <td style="padding:20px;"><!-- FOOTER --><table border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                      </tr>
                    </table><!-- END FOOTER --></td>
                  </tr>
                </table></td>
                <td></td>
              </tr>
            </table></td>
            <td></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>

</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<td width="29"><img src="images/008.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<td width="29"><img src="images/008.gif"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">



	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td width="30" background="images/009.gif" style="background-position:center;background-repeat:repeat-y;"></td>


  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
