<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%"  height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="178" valign="top" background="images/003.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="178"  border="0" cellpadding="0" cellspacing="0" valign="top">
      <tr>
        <td background="images/header1.gif" valign="top"><table width="100%" height="178"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td background="images/header.gif" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="178"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td background="images/001.gif" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="178"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td valign="top" background="images/002.gif" style="background-position:top right;background-repeat:no-repeat;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td height="38"><!-- MENU --><table  border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="30"></td>
                             <xsl:call-template name="TOP-MENU"/>
                              
                              <td width="30"></td>
                            </tr>
                          </table><!-- END MENU --></td>
                        </tr>
                        <tr>
                          <td height="140" style="padding-right:100px;">
						  <!-- LOGO -->
						  <table width="250"  border="0" align="right" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="50" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                              <td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                            <tr>
                              <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                            </tr>
                          </table><!-- END LOGO --></td>
                        </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="35" background="images/005.gif" style="background-position:top;background-repeat:repeat-x;"><table width="100%" height="35"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td background="images/005_1.gif" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="35"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td background="images/005_2.gif" style="background-position:top right;background-repeat:no-repeat;" valign="top">
			 <!-- SUBMENU -->

			<table height="35"  border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td width="15"></td>
                <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                <td width="15"></td>
              </tr>
            </table> <!-- END SUBMENU --></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" height="100%" background="images/007.gif" style="padding-top:50px;padding-left:100px;padding-right:100px;">
	<!-- CONTENT -->
	<table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent" >
      <tr>
        <td><table  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td class="pathway"><img src="images/008.gif" width="33" height="24"/></td>
              <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
          </table>
            <br/>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
      </tr>
	  <tr><td  background="images/010.gif" style="background-position:top;background-repeat:repeat-x;" height="10">
	  </td></tr>
    </table><!-- END CONTENT --></td>
  </tr>
  <tr>
    <td background="images/007.gif" style="padding:15px;">
	<!-- BOTTOM MENU -->
	<table  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
       <xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table><!-- END BOTTOM MENU --></td>
  </tr>
  <tr>
    <td background="images/007.gif" style="padding-bottom:15px;">
	<!-- FOOTER -->
	<table  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table><!-- END FOOTER --></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <td class="smenu" style="padding-bottom:6px"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<td class="smenua" style="padding-bottom:6px"><div align="center"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div> </td>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <td width="13" background="images/006.gif" style="background-position:top center;background-repeat:repeat-y;"></td>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>

           </xsl:when>
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

  <td width="25"><img src="images/009.gif"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
