<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url('images/body_bg.gif');background-position:left;background-repeat: repeat;">
<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/body_bg.gif');background-position:left;background-repeat: repeat;">
  <tr>
    <td height="40" style="background-image: url('images/menu_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="15"><div style="height:px;width:15px;"></div>
</td>
    <td><!-- MENU -->
      <table border="0" cellspacing="0" cellpadding="0">
      <tr>
        
        <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
      <!-- END MENU --></td>
    <td width="15"><div style="height:px;width:15px;"></div>
</td>
  </tr>
</table></td>
  </tr>
  <tr>
    <td height="179" style="background-image: url('images/header_bg.jpg');background-position:left;background-repeat: repeat-x;">
		<table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
			<tr>
				<td width="38"><div style="height:px;width:38px;"></div></td>
				<td>
					<table width="98%" border="0" cellpadding="0" cellspacing="0" style="height:100%;width:100%;">
						<tr>
							<td width="390" rowspan="2">
								<!-- LOGO -->
								<table width="200" cellpadding="0" cellspacing="0">
									<tr>
										<td height="25" align="right" valign="middle" class="company" style="padding-right:15px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										<td width="55" rowspan="2" align="left" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
									</tr>
								</table>
								<!-- END LOGO -->
							</td>
							<td height="89"></td>
						</tr>
						<tr>
							<td height="89" align="right" valign="middle"><table width="180" border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td align="left" style="padding-left:45px"><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
						</tr>
					</table>
				</td>
			</tr>
		</table></td>
    <td width="38"><div style="height:px;width:38px;"></div>
</td>
  </tr>
</table></td>
  </tr>
  <tr>
    <td height="30" style="background-image: url('images/submenu_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="15"><div style="height:px;width:15px;"></div>
</td>
    <td><!-- SUBMENU --><table border="0" cellspacing="0" cellpadding="0">
      <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
      </tr>
    </table><!-- END SUBMENU --></td>
    <td width="15"><div style="height:px;width:15px;"></div>
</td>
  </tr>
</table></td>
  </tr>
  <tr>
    <td><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
      <tr>
        <td align="left" valign="top" class="pageContent_table"><!-- CONTENT -->
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
			  <td align="left" class="text-header" style="padding-right:10px;"><img src="images/txtheader_bullet.gif"/></td>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                
              </tr>
            </table>
          <div style="height:20px;"></div>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
            <!-- END CONTENT --></td>
      </tr>
    </table></td>
        <td width="195" style="background-image: url('images/mainright_bg.gif');background-position:left;background-repeat: repeat;"><div style="height:px;width:195px;"></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="30" style="background-image: url('images/botmenu_bg.gif');background-position:left;background-repeat: repeat;"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="15"><div style="height:px;width:15px;"></div>
</td>
    <td align="center"><!-- BOTTOM MENU -->
          <table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
                <td width="1"><div style="height:1px;width:1px;"></div></td>
              </tr>
            </table>
          <!-- END BOOTTOM MENU --></td>
    <td width="15"><div style="height:px;width:195px;"></div></td>
  </tr>
</table></td>
  </tr>
  <tr>
    <td height="32"><table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%;">
  <tr>
    <td width="15"><div style="height:px;width:15px;"></div>
</td>
    <td><!-- FOOTER -->
        <div align="center" class="copyright"  style="height:1px;width:px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
    <!-- END FOOTER --></td>
    <td width="15"><div style="height:px;width:195px;"></div></td>
  </tr>
</table></td>
  </tr>
</table>
</BODY>

	</html>
</xsl:template>

<!-- TOP-MENU-->
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>
<!-- END TOP-MENU-->


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<!-- SUB-MENU-->	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	<xsl:when test="@ID=/LAYOUT/@ID" >
	
	  <!-- sub-menu without link-->	
      <td align="center"><img src="images/submenu_bullet.gif"/></td>
        <td align="center" class="menutable"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
	  <!--end-->
	  
		
	</xsl:when>
	<xsl:otherwise>
	<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	
	  <!--sub-menu with link-->
	  <td align="center"><img src="images/submenu_bullet.gif"/></td>
        <td align="center" class="menutable"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	  <!--end-->
	  
	  
	</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	 
	  <!-- sub-menu no last-->
      
	  <!--end-->
	  
	
</xsl:if>
</xsl:template>	
<!--END SUB-MENU-->


<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<!-- BOTTOM-MENU-->		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
	   
		<!-- bottom-menu with link-->
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
        </xsl:when>
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		 
		<!-- bottom-menu without link--> 
        <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		<!--end-->
		
		
		</xsl:when>
	    <xsl:otherwise>
		  
		<!-- bottom-menu click link-->  
       <td width="15" align="right" valign="middle" class="iconfoot" ><img src="images/botmenu_bullet.gif"/></td>
                <td align="left" valign="bottom" class="menutable" ><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		<!--end-->
		
		
		</xsl:otherwise>
        </xsl:choose>
	    <xsl:if test="position()!=last()">
		
		<!-- bottom-menu no last-->
        
		<!--end-->
		
		</xsl:if>
</xsl:template>
<!--END BOTTOM-MENU-->
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
