<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD colspan="10" height="213" style="background-image: url('images/header_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td style="background-image: url('images/header_r.gif'); background-position: top right; background-repeat: no-repeat;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td height="44" valign="top" style="padding: 0 14px 0 205px;">
                            		<!-- MENU -->
                          			<table cellpadding="0" cellspacing="0" align="right">
                          				<tr>
                          					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                            <xsl:call-template name="TOP-MENU"/>
                          					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                          				</tr>
                          			</table>
                            		<!-- END MENU -->
                                </td>
                            </tr>
                            <tr>
                                <td height="100%" style="padding: 0 14px 0 270px;">
                            		<!-- LOGO -->
              						<table cellpadding="0" cellspacing="0" align="center">
              							<tr>
              								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
              								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              							</tr>
              							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
              						</table>
                            		<!-- END LOGO -->
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR valign="top">
        <TD height="100%"><div style="width:46px; height:0px;"><span></span></div></TD>
        <TD bgcolor="DFDFDF"><div style="width:1px; height:0px;"><span></span></div></TD>
        <TD><div style="width:2px; height:0px;"><span></span></div></TD>
        <TD style="background-color: #DFDFDF;  background-image: url('images/submenu_bg.gif');">
    		<!-- SUBMENU -->
 			<table cellpadding="0" cellspacing="0" width="100%" align="center" style="background-color: #DFDFDF;">
                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                <tr><td colspan="2" height="1" bgcolor="#ffffff"></td></tr>
 			</table>
    		<!-- END SUBMENU -->
            <div style="width:216px; height:0px;"><span></span></div>
        </TD>
        <TD><div style="width:2px; height:0px;"><span></span></div></TD>
        <TD bgcolor="DFDFDF"><div style="width:1px; height:0px;"><span></span></div></TD>
		<TD width="100%" name="SB_stretch" valign="top" class="pageContent" style="padding: 15px 10px;">
    		<!-- CONTENT -->
      		<table cellpadding="0" cellspacing="0" border="0">
      			<tr>
      				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
      			</tr>
      		</table>
      		<div style="width:0px; height:15px;"><span></span></div>
      		<xsl:apply-templates select="PAGE-CONTENT"/>
    		<!-- END CONTENT -->
		</TD>
        <TD bgcolor="DFDFDF"><div style="width:1px; height:0px;"><span></span></div></TD>
        <TD><div style="width:2px; height:0px;"><span></span></div></TD>
        <TD bgcolor="F0F0F0"><div style="width:10px; height:0px;"><span></span></div></TD>
	</TR>
	<TR>
		<TD height="73" colspan="6" class="footer" style="background-image: url('images/footer_l.gif'); background-repeat: no-repeat; padding: 2px 5px 5px 62px;">
    		<!-- FOOTER -->
            <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
    		<!-- END FOOTER -->
		</TD>
        <TD style="background-image: url('images/footer_bg.gif');">
    		<!-- BOTTOM MENU -->
    		<table cellpadding="0" cellspacing="0" align="center">
    			<tr>
    				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                    <xsl:call-template name="BOTTOM-MENU"/>
    				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
    			</tr>
    		</table>
    		<!-- END BOOTTOM MENU -->
        </TD>
        <TD colspan="3" style="background-image: url('images/footer_r.gif'); background-repeat: no-repeat;"></TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding: 5px 10px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 5px 10px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
				<td style="padding: 5px 10px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td align="right" style="padding: 5px 10px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#ffffff"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
