<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
   <xsl:output method="html" indent="no"/>
   <xsl:strip-space elements="*"/>
   <xsl:include href="buttons.xsl"/>
   <xsl:template match="LAYOUT">
      <xsl:variable name="cID" select="@ID"/>
      <html>
      <head>
      <title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
      <xsl:apply-templates select="META-TAGS"/><link href="css/styles.css" rel="stylesheet" type="text/css"/>
      </head>
      <body style="background-color:#FFFFFF; margin:0px;">
      <table width="100%"  height="100%"  border="0" cellpadding="0" cellspacing="0">
         <tr>
            <td height="54px"><table width="100%"  border="0" cellpadding="5" cellspacing="5" height="50">
                  <tr>
                     <!-- LOGO -->
                     <td width="40"><div align="LEFT"><a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a></div></td>
                     <td><div align="LEFT">
                           <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                 <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                              </tr>
                              <tr class="slogan">
                                 <td><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                              </tr>
                           </table>
                        </div></td>
                     
                     <td width="30"><div style="width: 30px"></div></td>
                     <!--END LOGO -->
                  </tr>
               </table></td>
         </tr>
         <tr>
            <td style="background:url('images/menu_bg.gif');" height="38" align="center"><table border="0" height="38" cellspacing="0" cellpadding="0" style="height:100%;">
                  <tr>
                     <td style="padding-left:10px;padding-right:10px;">
                     <!-- TOP MENU -->
                     <xsl:call-template name="TOP-MENU"/>
                     
                     <!-- END MENU -->
					 </td>
                  </tr>
               </table></td>
         </tr>
         <tr>
            <td height="172" style="background:url('images/header_bg.gif');" align="center"><table width="780"  border="0" height="172" background="images/header.jpg" cellspacing="0">
                  <tr>
                     <td width="105" rowspan="3"><div style="width:105px;"></div></td>
                     <td width="549" height="20" valign="TOP"><table border="0" style="margin:0px;" height="20">
                           <tr>
                              <!-- SUBMENU -->
                              <xsl:call-template name="SUB-MENU">
                                 <xsl:with-param name="pageID" select="@ID"/>
                                 
                              </xsl:call-template>
                              <!-- END SUBMENU -->
                           </tr>
                        </table></td>
                     <td width="115" rowspan="3"><div style="width:115px;"></div></td>
                  </tr>
                  <tr>
                     <td></td>
                  </tr>
                  <tr>
                     <td height="70" valign="BOTTOM"><table border="0" background="images/textHeader_mid.gif" height="29" cellspacing="0" cellpadding="0">
                           <tr>
                              <td width="10"><div align="LEFT"><img src="images/textHeader_left.gif" width="4" height="29" /></div></td>
                              <!-- TEXT-HEADER -->
                              <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> </td>
                              <!-- TEXT-HEADER -->
                              <td width="40"><div style="width:40px;"></div></td>
                              <td width="22"><div align="CENTER"><img src="images/textHeader_bullet.gif" width="16" height="11" /></div></td>
                              <td width="10"><div align="RIGHT"><img src="images/textHeader_right.gif" width="7" height="29" /></div></td>
                           </tr>
                        </table></td>
                  </tr>
               </table></td>
         </tr>
         <tr>
            <td height="290px" align="center"><table width="100%"  border="0">
                  <tr>
                     
                     <td vaign="top" height="292px" align="center" style="padding-left:150px;padding-right:150px;"><table width="100%" border="0" bgcolor="#E6E6E6" cellspacing="0" cellpadding="3">
                           <tr>
                           		<td>
                           		
                           		
                              		<table width="100%" cellpadding="5" cellspacing="0">
                                    	<tr>
                                       	<!-- CONTENT -->
                                       		<td name="SB_stretch" height="292px" class="pageContent" valign="top" style="padding-left:15px;padding-right:15px;">
                                       			<xsl:apply-templates select="PAGE-CONTENT" />   
                                       		                                       
                                       		</td>
                                       	<!-- END CONTENT -->
                                    	</tr>
                                 	</table>
                                
                                 
                           		</td>
                           </tr>
                        </table></td>
                  </tr>
               </table></td>
         </tr>
         <tr>
            <td style="background:url('images/bottom_menu_bg.gif');padding-left:10px;padding-right:10px;" height="32"><table align="center" border="0" height="32" cellspacing="0" cellpadding="0" style="height:100%;">
                  <tr>
                     
                     <!-- BOTTOM_MENU -->
                     <xsl:call-template name="BOTTOM-MENU"/>
                     
                     <!-- END BOTTOM_MENU -->
                  </tr>
               </table></td>
         </tr>
         <tr>
            <td style="padding-left:150px;padding-right:150px;" valign="top"><table width="100%" border="0" bgcolor="#E6E6E6" cellspacing="0" cellpadding="3">
                  <tr>
                     <td ><table width="100%"  cellpadding="5" cellspacing="0">
                           <tr>
                              <!-- FOOTER -->
                              <td class="footer" align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/> </td>
                              <!-- END FOOTER -->
                           </tr>
                        </table></td>
                  </tr>
               </table></td>
         </tr>
      </table>
      </body>
      </html>
   </xsl:template>
   <xsl:template name="TOP-MENU">
      <xsl:apply-templates select="MENU" mode="top"/></xsl:template>
   <xsl:template name="SUB-MENU">
      <xsl:param name="pageID"/>
      <xsl:choose>
         <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
            <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/></xsl:when>
         <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
            <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
            <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/></xsl:when>
      </xsl:choose>
   </xsl:template>
   <xsl:template match="MENU-ITEM" mode="sub">
      <xsl:choose>
         <xsl:when test="@ID=/LAYOUT/@ID" >
         
            <td width="5"><img src="images/submenu_bullet.gif" border="0" width="5" height="5" /></td>
            <td class="asubmenu" style="padding-left:3px;padding-right:15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
         
         </xsl:when>
         <xsl:otherwise>
            <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
               <td width="5"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" width="5" height="5" /></a></td>
               <td style="padding-left:3px;padding-right:15px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:if>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="position()!=last()">
         
      </xsl:if>
   </xsl:template>
   <xsl:template name="BOTTOM-MENU">
      <xsl:apply-templates select="MENU" mode="bottom"/></xsl:template>
   <xsl:template match="MENU" mode="bottom">
      <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/></xsl:template>
   <xsl:template match="MENU-ITEM"  mode="bottom">
      <xsl:choose>
         <!-- when vizited inside-->
         <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
            <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
         </xsl:when>
         <!-- when active-->
         <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            <td><a class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
         </xsl:when>
         <xsl:otherwise>
            <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="position()!=last()">
         <td><img src="images/bmenu_separator.gif" width="25" height="32" /></td>
      </xsl:if>
   </xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>