<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<td class="menuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<td class="menuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
            	<td class="menuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
           	<td class="menudivider3"><div style="width:28px; height:0px;"><spacer/></div></td>
        </xsl:if>
	</xsl:template>

	
	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
             	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="30" class="secondmenuitem">
             	<tr>
             	<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
             	<td class="secondmenumark"><img src="images/2ndmenu_mark.gif" width="18" height="18" border="0" alt=""/></td>
             	</tr>
             	</table>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="30" class="secondmenuitem">
                	<tr>
                	<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                	<td class="secondmenumark"><a href="{@HREF}"><img src="images/2ndmenu_mark.gif" width="18" height="18" border="0" alt=""/></a></td>
                	</tr>
                	</table>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
