<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" bottommargin="0" rightmargin="0">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" bgcolor="#ffffff">
	<tr>
		<td width="100%" height="129" colspan="3" style="background:url(images/logo_bg.gif) top right no-repeat; padding-left:20px;">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td align="right">
						<div class="mycompany"><span class="my-color"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span></div>
						<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
					</td>
					<td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
				</tr>
			</table>
		</td>
		<td width="0"></td>
	</tr>

	<tr>
		<td height="29" colspan="3" class="menu-bg" style="padding-left:16px;">
			<!-- CALL TOP-MENU -->
			<xsl:call-template name="TOP-MENU"/>
		</td>
		<td></td>
	</tr>

	<tr>
		<td height="100%" style="background:#dcdcdc url(images/visual_bgrpt.gif) top right repeat-y;" valign="top">
			<div style="width:250px; height:0px;"><spacer/></div>
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="333">
				<tr><td style="background:url(images/top.jpg) top right no-repeat;"></td></tr>
			</table>
		</td>
		<td style="background:#d5d5d5 url(images/2ndmenu_bgrpt.gif) top left; border-top:1px solid #ffffff;" valign="top">
			<div style="width:202px; height:0px;"><spacer/></div>
			<!--secondmenu /-->
			<!-- CALL SUB-MENU -->
			<xsl:call-template name="SUB-MENU">
				<xsl:with-param name="pageID" select="@ID"/>
			</xsl:call-template>
			<!--/ secondmenu-->
		</td>
		<td valign="top" width="100%" style="background-color:#ededed; border-left:1px solid #ffffff; border-top:1px solid #ffffff;">
			<div style="width:327px; height:0px;"><spacer/></div>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td height="47" class="pageheader" style="padding:3px 0px 0px 35px; background:url(images/pageheader_mark.gif) center left no-repeat;">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
				</tr>
				<tr>
					<td class="thatext" style="padding:0px 20px 25px 12px;">
						<table cellpadding="0" cellspacing="0" width="100%">
							<tr><td class="thatext"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td></td>
	</tr>

	<tr>
		<td height="72" colspan="3" class="bottommenu" align="center">
		    <!-- CALL BOTTOM-MENU -->
		    <xsl:call-template name="BOTTOM-MENU"/>
			<table cellpadding="0" cellspacing="0" border="0" style="margin-top:3px;">
				<tr><td class="copy"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
			</table>
		</td>
		<td></td>
	</tr>
</table>

        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
       	<table cellpadding="0" cellspacing="0" border="0" height="29">
	   		<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  
        				
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="BOTTOM-MENU">
      	<table cellpadding="0" cellspacing="0" border="0" style="margin-top:3px;">
	      	<tr>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
            	<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
          	<td class="bottommenudivider"><div style="width:22px; height:0px;"><spacer/></div></td>
        </xsl:if>
	</xsl:template>

	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
